View Issue Details

This bug affects 1 person(s).
 8
IDProjectCategoryView StatusLast Update
15939Bug reportsPrint Viewpublic2020-08-12 10:10
Reportermarkshenk Assigned Togabrieljenik  
PriorityhighSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.1.7 
Summary15939: Update to 4x seems to have changed the Display/Export
DescriptionIn the 3x version we were able to Display/Export to a printable survey with the questions ordered presented in the survey.

After upgrading to 4.1.7 the display/export question order now uses the 'group list page id' to order the questions and groups of questions.

Now when we select the display/export the printable survey sorts/orders the questions by Page ID. The survey itself orders the questions by Page Order and Group Questions.

I have included a screenshot that shows the order of the qroups and the page id's. The export shows the 'knowledge' group questions first, the survey shows the 'asthma history' first.

Is there a way to modify the Page Ids? Or is there a way to change the display/export to sort by page order?
Steps To ReproduceUsing Display/Export to a printable survey.
TagsNo tags attached.
Bug heat8
Complete LimeSurvey version number (& build)4.1.7 +200224
I will donate to the project if issue is resolvedNo
Browserchrome
Database & DB-VersionmySQL - 5.1.73
Server OS (if known)Unix - Percona Server
Webserver software & version (if known)5.6.40-84
PHP Version5.6.30

Relationships

related to 15940 closedollehar Export as printable : PHP Notice wuth debug 

Activities

markshenk

markshenk

2020-03-03 00:43

reporter  

groupList-pageIDs.png (9,915 bytes)   
groupList-pageIDs.png (9,915 bytes)   
DenisChenu

DenisChenu

2020-03-03 08:08

developer   ~56284

Confirm the issue

https://framadrop.org/r/_CtqcgCoCE#EdI+UukhYrwbYF66wL3PT8O3SCG2WV9t3UdmpwJk7sg=

Else : the file is totally broken ...
gabrieljenik

gabrieljenik

2020-07-28 18:43

manager   ~59123

Last edited: 2020-08-10 16:29

PR: https://github.com/LimeSurvey/LimeSurvey/pull/1503

user225042

2020-08-06 11:53

  ~59336

Last edited: 2020-08-10 16:29

Tested the issue before pulling the PR, Issue exist. Tested the issue after pulling the PR, below are my findings:
Screenshot 1(Before Pulling PR): Includes Group List, Preview Survey and Printable Survey here Printable Survey was fetching values in wrong order.
Screenshot 2(After Pulling PR):Printable Survey now fetches value similar to survey preview
Please refer the attachment for more details, working as expected.
15939_BeforePR.png (156,748 bytes)
15939_AfterPR.png (159,140 bytes)
gabrieljenik

gabrieljenik

2020-08-10 15:49

manager   ~59386

Last edited: 2020-08-10 16:29

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=30360
lime_release_bot

lime_release_bot

2020-08-12 10:10

administrator   ~59433

Fixed in Release 4.3.10+200812

Related Changesets

LimeSurvey: master fdd72ede

2020-08-10 15:40:09

gabrieljenik


Committer: GitHub Details Diff
Fixed issue 15939: Update to 4x seems to have changed the Display/Export (#1503)

Adding group order criteria.
Affected Issues
15939
mod - application/controllers/admin/printablesurvey.php Diff File

Issue History

Date Modified Username Field Change
2020-03-03 00:43 markshenk New Issue
2020-03-03 00:43 markshenk File Added: groupList-pageIDs.png
2020-03-03 08:08 DenisChenu File Added: limesurvey_survey_printError.lss
2020-03-03 08:08 DenisChenu File Added: Capture d’écran du 2020-03-03 08-05-07.png
2020-03-03 08:08 DenisChenu Note Added: 56284
2020-03-03 08:14 DenisChenu Relationship added related to 15940
2020-03-20 14:00 cdorin Priority none => high
2020-03-20 14:00 cdorin Status new => confirmed
2020-03-20 14:00 cdorin Description Updated View Revisions
2020-04-01 16:48 cdorin Zoho Sprints => |Yes|
2020-04-01 16:48 swendrich Zoho Sprints ID => 14469000000017037
2020-07-28 18:43 gabrieljenik Note Added: 59123
2020-08-06 11:53 user225042 Note Added: 59336
2020-08-06 11:53 user225042 File Added: 15939_BeforePR.png
2020-08-06 11:53 user225042 File Added: 15939_AfterPR.png
2020-08-10 15:49 gabrieljenik Changeset attached => LimeSurvey master fdd72ede
2020-08-10 15:49 gabrieljenik Note Added: 59386
2020-08-10 15:49 gabrieljenik Assigned To => gabrieljenik
2020-08-10 15:49 gabrieljenik Resolution open => fixed
2020-08-10 16:29 swendrich Zoho Sprints Yes => |Yes|
2020-08-10 16:29 swendrich Status confirmed => resolved
2020-08-12 10:10 lime_release_bot Zoho Sprints Yes => |Yes|
2020-08-12 10:10 lime_release_bot Note Added: 59433
2020-08-12 10:10 lime_release_bot Status resolved => closed